cURL
curl "https://api.ionq.co/v0.4/backends"import requests
url = "https://api.ionq.co/v0.4/backends"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionq.co/v0.4/backends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ionq.co/v0.4/backends",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ionq.co/v0.4/backends"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ionq.co/v0.4/backends")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ionq.co/v0.4/backends")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"average_queue_time": 1181215,
"backend": "qpu.forte-1",
"last_updated": "2025-06-16T00:00:00Z",
"qubits": 25,
"status": "<string>",
"characterization_id": "617a1f8b-59d4-435d-aa33-695433d7155e",
"degraded": true,
"kw": 4902.81,
"location": "College Park, MD, USA",
"supported_error_mitigations": [
"debiasing"
],
"supported_gates": [
"x",
"y",
"z",
"h",
"s",
"si",
"t",
"ti",
"v",
"vi",
"rx",
"ry",
"rz",
"cnot",
"swap",
"xx",
"yy",
"zz",
"not"
],
"supported_native_gates": [
"gpi",
"gpi2",
"ms"
]
}
]Backends
Get Backends
List all available backends including QPUs and simulators.
GET
/
backends
cURL
curl "https://api.ionq.co/v0.4/backends"import requests
url = "https://api.ionq.co/v0.4/backends"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionq.co/v0.4/backends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ionq.co/v0.4/backends",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ionq.co/v0.4/backends"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ionq.co/v0.4/backends")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ionq.co/v0.4/backends")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"average_queue_time": 1181215,
"backend": "qpu.forte-1",
"last_updated": "2025-06-16T00:00:00Z",
"qubits": 25,
"status": "<string>",
"characterization_id": "617a1f8b-59d4-435d-aa33-695433d7155e",
"degraded": true,
"kw": 4902.81,
"location": "College Park, MD, USA",
"supported_error_mitigations": [
"debiasing"
],
"supported_gates": [
"x",
"y",
"z",
"h",
"s",
"si",
"t",
"ti",
"v",
"vi",
"rx",
"ry",
"rz",
"cnot",
"swap",
"xx",
"yy",
"zz",
"not"
],
"supported_native_gates": [
"gpi",
"gpi2",
"ms"
]
}
]List all available backends including both QPUs and simulators. This shows each backend’s current status (available, unavailable, degraded), number of qubits, average queue time, and links to performance characterizations.
Learn more about available backends.
Response
200 - application/json
Successfully retrieved backend.
Was this page helpful?

